summaryrefslogtreecommitdiffstats
path: root/main/apcupsd/apcupsd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/apcupsd/apcupsd.initd')
-rw-r--r--main/apcupsd/apcupsd.initd38
1 files changed, 38 insertions, 0 deletions
diff --git a/main/apcupsd/apcupsd.initd b/main/apcupsd/apcupsd.initd
new file mode 100644
index 00000000000..5265347f410
--- /dev/null
+++ b/main/apcupsd/apcupsd.initd
@@ -0,0 +1,38 @@
+#!/sbin/runscript
+# Copyright 2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-power/apcupsd/files/apcupsd.init.2,v 1.1 2009/01/15 15:21:11 flameeyes Exp $
+
+INSTANCE="${SVCNAME#*.}"
+if [ -z "${INSTANCE}" ] || [ "${SVCNAME}" = "apcupsd" ]; then
+ INSTANCE="apcupsd"
+fi
+
+depend() {
+ use net
+ after firewall
+}
+
+start() {
+ rm -f /etc/apcupsd/powerfail
+
+ export SERVICE="${SVCNAME}"
+
+ ebegin "Starting APC UPS daemon"
+ start-stop-daemon \
+ --start --pidfile "/var/run/${SVCNAME}.pid" \
+ --exec /sbin/apcupsd -- \
+ -f "/etc/apcupsd/${INSTANCE}.conf" \
+ -P "/var/run/${SVCNAME}.pid"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping APC UPS daemon"
+ start-stop-daemon \
+ --stop --pidfile "/var/run/${SVCNAME}.pid" \
+ --retry TERM/5/TERM/5 \
+ --exec /sbin/apcupsd
+ eend $?
+}
+